curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"model":"MiniMax-H3","prompt":"달 표면의 우주비행사를 카메라가 천천히 비춘다","duration":5,"resolution":"2K","aspect_ratio":"16:9"}'
curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "MiniMax-H3",
"prompt": "이미지1의 인물을 유지하고 비디오1의 동작과 카메라를 참고하며 오디오1의 목소리로 대사한다",
"duration": 5,
"resolution": "2K",
"aspect_ratio": "adaptive",
"image_with_roles": [{"url": "https://example.com/person.png", "role": "reference_image"}],
"video_with_roles": [{"url": "https://example.com/motion.mp4", "role": "reference_video"}],
"audio_with_roles": [{"url": "https://example.com/voice.mp3", "role": "reference_audio"}]
}'
{"id":"vid_01KZ3H3EXAMPLE00000000000","object":"generation.task","model":"MiniMax-H3","status":"queued","progress":0,"created_at":1785729000}
MiniMax-H3
MiniMax Hailuo H3 비디오 생성
MiniMax Hailuo H3에서 텍스트, 시작/종료 프레임 및 멀티모달 참조로 2K 또는 768p 비디오 생성
POST
/
v1
/
videos
/
generations
curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"model":"MiniMax-H3","prompt":"달 표면의 우주비행사를 카메라가 천천히 비춘다","duration":5,"resolution":"2K","aspect_ratio":"16:9"}'
curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "MiniMax-H3",
"prompt": "이미지1의 인물을 유지하고 비디오1의 동작과 카메라를 참고하며 오디오1의 목소리로 대사한다",
"duration": 5,
"resolution": "2K",
"aspect_ratio": "adaptive",
"image_with_roles": [{"url": "https://example.com/person.png", "role": "reference_image"}],
"video_with_roles": [{"url": "https://example.com/motion.mp4", "role": "reference_video"}],
"audio_with_roles": [{"url": "https://example.com/voice.mp3", "role": "reference_audio"}]
}'
{"id":"vid_01KZ3H3EXAMPLE00000000000","object":"generation.task","model":"MiniMax-H3","status":"queued","progress":0,"created_at":1785729000}
중국 본토 사용자 안내: 중국 본토 사용자는
https://toapis.cn 를 API 엔드포인트(Base URL)로 사용해 주세요. 본 문서의 예시에서 https://toapis.com 을 https://toapis.cn 로 바꿔 주세요.MiniMax-H3,MiniMax-H3-Max,MiniMax-H3-Max-Turbo세 모델을 지원합니다- 텍스트 비디오, 시작/종료 프레임, 이미지·비디오·오디오 복합 참조를 지원합니다
- 기존 H3는
2K/768p,4-15초를 유지합니다. Max / Max-Turbo는480P/768P,5-15초를 지원합니다 - 비동기 API는 통합
generation.task형식을 반환합니다
공개 접근 가능한 미디어 URL을 사용하세요. 프레임 모드와 멀티모달 참조 모드는 함께 사용할 수 없으며, 참조 오디오만 단독으로 입력할 수 없습니다.
인증
string
필수
Authorization: Bearer YOUR_API_KEY를 전송하세요.요청 파라미터
string
기본값:"MiniMax-H3"
필수
MiniMax-H3로 고정됩니다.string
필수
비디오 설명이며 최대
7000자입니다.integer
기본값:5
4-15초 정수입니다.string
기본값:"2K"
2K와 768p를 지원하며 기본값은 2K입니다.string
기본값:"16:9"
21:9, 16:9, 4:3, 1:1, 3:4, 9:16, adaptive를 지원합니다.
텍스트 비디오에서는 adaptive를 사용할 수 없습니다. 프레임 모드는 입력 이미지에 자동 맞춤되며 참조 모드는 기본적으로 adaptive입니다.string[]
호환용 이미지 URL입니다. 1장은 시작 프레임, 2장은 시작/종료 프레임, 3-9장은 참조 이미지로 처리됩니다. 신규 연동에는
image_with_roles를 권장합니다.array
url과 role을 가진 이미지 배열입니다. role은 first_frame(최대 1), last_frame(최대 1), reference_image(최대 9)입니다.
JPG, JPEG, PNG, WebP, HEIC, HEIF, 최대 30 MB, 각 변 256-5760 px, 비율 0.4-2.5를 지원합니다.array
최대
3개의 참조 비디오입니다. 각 항목은 url과 role: reference_video를 포함합니다. MP4/MOV, 최대 50 MB, 각각 2-15초, 합계 15초까지 지원합니다.
ToAPIs가 실제 비디오 길이를 읽어 과금합니다. 클라이언트가 계산한 길이 필드는 보내지 마세요.
array
최대
3개의 참조 오디오입니다. 각 항목은 url과 role: reference_audio를 포함합니다. WAV/MP3, 최대 15 MB, 각각 2-15초, 합계 15초까지 지원합니다.
최소 하나의 참조 이미지 또는 참조 비디오가 함께 필요합니다.
boolean
기본값:false
AIGC 워터마크 추가 여부입니다.
string
주문 ID와 같은 클라이언트 비즈니스 ID입니다.
모드 및 제한
| 모드 | 입력 | 비율 |
|---|---|---|
| 텍스트 비디오 | prompt | 구체적 비율, 기본 16:9 |
| 시작/종료 프레임 | prompt + 프레임 이미지 | 자동 adaptive |
| 멀티모달 참조 | prompt + 참조 미디어 | 기본 adaptive |
예시
{
"model": "MiniMax-H3",
"prompt": "비디오1의 동작과 카메라 리듬을 따르고 오디오1의 목소리로 대사를 말한다",
"duration": 5,
"resolution": "768p",
"aspect_ratio": "adaptive",
"video_with_roles": [
{"url": "https://example.com/motion.mp4", "role": "reference_video"}
],
"audio_with_roles": [
{"url": "https://example.com/voice.mp3", "role": "reference_audio"}
]
}
응답
string
ToAPIs 작업 ID입니다.
string
항상
generation.task입니다.string
항상
MiniMax-H3입니다.string
queued, in_progress, completed, failed.integer
0-100 진행률입니다.integer
Unix 생성 시각(초)입니다.
비디오 작업 상태 조회를 폴링하세요. 완료 URL은
result.data[0].url에 있습니다.curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{"model":"MiniMax-H3","prompt":"달 표면의 우주비행사를 카메라가 천천히 비춘다","duration":5,"resolution":"2K","aspect_ratio":"16:9"}'
curl --request POST \
--url https://toapis.com/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "MiniMax-H3",
"prompt": "이미지1의 인물을 유지하고 비디오1의 동작과 카메라를 참고하며 오디오1의 목소리로 대사한다",
"duration": 5,
"resolution": "2K",
"aspect_ratio": "adaptive",
"image_with_roles": [{"url": "https://example.com/person.png", "role": "reference_image"}],
"video_with_roles": [{"url": "https://example.com/motion.mp4", "role": "reference_video"}],
"audio_with_roles": [{"url": "https://example.com/voice.mp3", "role": "reference_audio"}]
}'
{"id":"vid_01KZ3H3EXAMPLE00000000000","object":"generation.task","model":"MiniMax-H3","status":"queued","progress":0,"created_at":1785729000}